import { Principal } from "@dfinity/principal";
import { Buckets } from "./icsp/did/icsp_type";
import { Result_1 } from "./isp/did/isp_type";
import { BurnResult } from "./isp/did/xtc_type";
export declare type icsp = [string, Principal];
export declare type createArg = {
    icspName: string;
    icp_to_create_amount: bigint;
    xtc_to_topup_amount: bigint;
};
export declare type getBucketOfFileRes = [] | [Principal];
export declare type getBucketsRes = [] | [Buckets];
export declare type getRes = [] | [[Array<number>, string]];
export declare type burnArg = {
    'canister_id': Principal;
    'amount': bigint;
};
export declare type CreateRes = {
    icspCanisterId: Result_1;
    burnTransactionId: BurnResult;
};
